
Redmine - Feature #5816

New issue initial status should be settable in workflow

2010-07-05 10:35 - Norbert Bérci

Status: Closed Start date: 2010-07-05

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour
Description

Is it possible to set the initial status(es) a new issue could be in at creation time? Currently it seems to allow the default status and all

statuses reachable from the default status with one hop. This might be too permissive (for example I want to start in the "new" status

only, and disallow its child statuses initially), or too restrictive (for example I might have two start statuses which are not in direct (1

hop) relation).

I propose a new (first) row named "initial status" (or something similar) on the workflow settings page where the admin can set which

could be the initial status(es) of a newly created issue.

Related issues:

Related to Redmine - Defect #5593: Grey out workflow checkboxes for transitio... Closed 2010-05-25

Related to Redmine - Feature #5991: Tracker should have it's own default issu... Closed 2010-07-29

Related to Redmine - Feature #474: Status grouping New

Has duplicate Redmine - Feature #7311: Create new workflow for status Closed 2011-01-12

Has duplicate Redmine - Feature #558: Default & Closed statuses to be saved a... Closed

Has duplicate Redmine - Feature #10864: Define initial issue status in workfl... Closed

Has duplicate Redmine - Feature #19488: Add ability to configure selectable i... Closed

Has duplicate Redmine - Feature #20718: No next issue status when creating ne... Closed

Has duplicate Redmine - Feature #2905: Enable per-tracker issue status set Closed 2009-03-05

Has duplicate Redmine - Feature #10601: Ability to force issues to be created... Closed

Has duplicate Redmine - Feature #3485: Closed statuses in dropdown for new is... Closed 2009-06-12

Has duplicate Redmine - Feature #18037: default status per workflow Closed

Has duplicate Redmine - Defect #14274: Default Issue Value Workflow  doesn't ... Closed

Associated revisions

Revision 14458 - 2015-07-26 10:30 - Jean-Philippe Lang

Makes new issue initial status settable in workflow (#5816).

History

#1 - 2010-07-14 15:06 - Norbert Bérci

If the proposed new row about initial statuses will be implemented, there is no use of the "Default value" column in Administration / Issue Statuses

#2 - 2010-07-15 11:29 - Nikolay Kotlyarov

+1

I want more than only one default status.

Now it's not only one default: also this default will be used in every tracker, so as if this default status relates to every workflow:(

#3 - 2011-03-28 15:22 - Hans Bangkok

A couple of different issues here.

As pointed out in the related report, it's quite possible as in my current use case that there is no one status that applies to all our trackers.

Therefore it should not be a requirement to have a single global "Default status", and that would be IMO easy to do away with. If the desire is simply

to ensure there is a status on every issue, then an easy fix would be to check that when the issue gets saved.

Another way to go would be to present a dialog with a list of tracker types when "New Issue" is pressed, which would fit in OK with the idea of having

a separate default for each tracker. However, the idea of forcing a subset of status's to be the only ones allowed at issue creation time seems overly
complicated to me - I'm not saying there aren't use cases for it, just that it seems to me such a change would have further ramifications that need to

be thought through.

#4 - 2011-03-28 16:03 - Etienne Massip

- Category changed from Issues to Issues workflow

#5 - 2012-01-13 13:06 - Terence Mill

Yeah, this is a big problem for us too.

We need different status sets in our trackers, so different start and finish status per tracker. At the moment there is one start status for all tracker's

This issue is duplicated by #558

Nikolay Kotlyarov wrote:

+1

I want more than only one default status.

Now it's not only one default: also this default will be used in every tracker, so as if this default status relates to every workflow:(

#6 - 2013-01-12 18:44 - Daniel Felix

I like this idea. It would help to improve redmines configurability!

#7 - 2013-02-15 14:20 - Roman Lukmanov

+1

#8 - 2013-02-15 14:31 - Etienne Massip

- Target version set to Candidate for next major release

It should be done, I think the implementation proposed by Norbert in the first place is indeed the best one.

#9 - 2013-03-31 22:26 - VD DV

+1

#10 - 2013-04-29 23:02 - Leonardo Salgado

+1

#11 - 2013-09-16 14:43 - benoit deleris

+1

#12 - 2013-09-18 11:23 - druidPollux -

+1

#13 - 2013-11-12 13:50 - Anonymous

I'm in the process of implementing Redmine as a new tracking system where I work (small team of 4 devs), this specific feature was one of the

biggest concerns from management while I was giving a product demo...

So, here's a big +1 from me.

#14 - 2013-11-13 10:55 - Jimmy Engelbrecht

+1

#15 - 2014-03-24 20:04 - Tamas Hock

+1

#16 - 2014-05-01 11:00 - Enmos Proje

+1

#17 - 2014-10-22 11:36 - Guillaume -

+1 -> we're planning to move from trac to Redmine and this feature is also a concern for our team
#18 - 2015-02-20 13:50 - Ben Scott

+1

#19 - 2015-05-13 13:46 - Johan Jäderblom

I have made a fix for this. You can find a plugin here: https://github.com/Jaeder42/InitialStatusRedminePlugin

The plugin adds an initial status "Initital". It will be set as the first and as the default issue. You will need to assign statuses to it's workflow.

Once this is done, when you create a new issue, only the statuses which you have assigned in the workflow can be selected for the issue but one

must be. As long as you do not link to the initial status it can't be set to this. The plugin also only alters the view for creating a new item.

Please try it and tell me if you have any trouble running it.

#20 - 2015-05-13 14:40 - Anonymous

Johan Jäderblom wrote:

The plugin adds an initial status "Initital". It will be set as the first and as the default issue. You will need to assign statuses to it's workflow.

 Interesting workaround.. Since Redmine allows new issues to use the selected "Default" status or any status that the default can move to in one step,

hiding the "Default" status is quite literally the only way to get the UI to only show one status option for new issues.

Doesn't quite close the issue in question here, but I'll most definitely be using your plugin in the meantime.. :)

#21 - 2015-07-07 20:09 - Alex Petty

For that matter, new issues should be settable only those tracker-types that are configured for the role.

I envision this workflow as follows:

(1) Administrator creates a role (let's call it role A)

(2) Administrator assigns a user (or group) role A.

(3) Through the implementation of this feature, the administrator will be able to define which tracker-types that role A is capable of creating (so long as

role A has been assigned the "add issue" permission)

(4) When the user possessing role A (and also having the "add issue" permission) clicks the "New Issue" tab, the user will see only those trackers

which were defined as "can create this tracker" to role A.

(5) If the user has multiple roles with "can create this tracker" defined, each having their own set of permissible trackers, the user will be able to create

the super-set of all trackers from all assigned roles.

This feature would greatly enhance Redmine's flexibility in configuration.

#22 - 2015-07-26 10:28 - Jean-Philippe Lang

- Target version changed from Candidate for next major release to 3.2.0

#23 - 2015-07-26 17:43 - Go MAEDA

- Related to Feature #19488: Add ability to configure selectable issue states when creating new ticket added

#24 - 2015-07-26 17:44 - Go MAEDA

- Related to deleted (Feature #19488: Add ability to configure selectable issue states when creating new ticket)

#25 - 2015-07-26 17:44 - Go MAEDA

- Has duplicate Feature #19488: Add ability to configure selectable issue states when creating new ticket added

#26 - 2015-09-12 02:38 - Go MAEDA

- Has duplicate Feature #20718: No next issue status when creating new issue added

#27 - 2015-09-27 10:58 - Jean-Philippe Lang

- Subject changed from new issue initial status should be settable in workflow to New issue initial status should be settable in workflow

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

#28 - 2016-06-26 05:52 - Toshi MARUYAMA

- Has duplicate Feature #2905: Enable per-tracker issue status set added
#29 - 2016-09-04 03:37 - Go MAEDA

- Has duplicate Feature #10601: Ability to force issues to be created with the default status added

#30 - 2016-09-04 04:11 - Go MAEDA

- Has duplicate Feature #3485: Closed statuses in dropdown for new issue (manager role) added

#31 - 2017-12-30 05:16 - Go MAEDA

- Has duplicate Feature #18037: default status per workflow added

#32 - 2021-07-03 11:00 - Go MAEDA

- Has duplicate Defect #14274: Default Issue Value Workflow  doesn't work as expected added
